be.fgov.ehealth.mediprima.core.v1

## Class PodmiSppisPartType

- java.lang.Object
- - be.fgov.ehealth.mediprima.core.v1.PodmiSppisPartType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2021-10-05T08:04:46+02:00",
                 comments="JAXB RI v2.2.11")
      public class PodmiSppisPartType
      extends Object
      implements Serializable

  Java class for PodmiSppisPartType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="PodmiSppisPartType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="HospitalizationPart" type="{urn:be:fgov:ehealth:mediprima:core:v1}ZivAmiPatientPartType"/>
               <element name="AmbulatoryCarePart" type="{urn:be:fgov:ehealth:mediprima:core:v1}ZivAmiPatientPartType"/>
               <element name="OtherPart" type="{urn:be:fgov:ehealth:mediprima:core:v1}ZivAmiPatientPartType"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PodmiSppisPartType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ZivAmiPatientPartType` | `getAmbulatoryCarePart()` Gets the value of the ambulatoryCarePart property.
    `ZivAmiPatientPartType` | `getHospitalizationPart()` Gets the value of the hospitalizationPart property.
    `ZivAmiPatientPartType` | `getOtherPart()` Gets the value of the otherPart property.
    `void` | `setAmbulatoryCarePart(ZivAmiPatientPartType value)` Sets the value of the ambulatoryCarePart property.
    `void` | `setHospitalizationPart(ZivAmiPatientPartType value)` Sets the value of the hospitalizationPart property.
    `void` | `setOtherPart(ZivAmiPatientPartType value)` Sets the value of the otherPart property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PodmiSppisPartType

          public PodmiSppisPartType()

  - ### Method Detail

    - #### getHospitalizationPart

          public ZivAmiPatientPartType getHospitalizationPart()

      Gets the value of the hospitalizationPart property.
      Returns:
        possible object is `ZivAmiPatientPartType`

    - #### setHospitalizationPart

          public void setHospitalizationPart(ZivAmiPatientPartType value)

      Sets the value of the hospitalizationPart property.
      Parameters:
        `value` - allowed object is `ZivAmiPatientPartType`

    - #### getAmbulatoryCarePart

          public ZivAmiPatientPartType getAmbulatoryCarePart()

      Gets the value of the ambulatoryCarePart property.
      Returns:
        possible object is `ZivAmiPatientPartType`

    - #### setAmbulatoryCarePart

          public void setAmbulatoryCarePart(ZivAmiPatientPartType value)

      Sets the value of the ambulatoryCarePart property.
      Parameters:
        `value` - allowed object is `ZivAmiPatientPartType`

    - #### getOtherPart

          public ZivAmiPatientPartType getOtherPart()

      Gets the value of the otherPart property.
      Returns:
        possible object is `ZivAmiPatientPartType`

    - #### setOtherPart

          public void setOtherPart(ZivAmiPatientPartType value)

      Sets the value of the otherPart property.
      Parameters:
        `value` - allowed object is `ZivAmiPatientPartType`

Connector Packaging PERSPHYSICIAN 4.0.2 API
Copyright © {inceptionYear}-2021 eHealth. All Rights Reserved.